AutoCAD Inventor :: Create / Edit Sketch In Assembly
Mar 20, 2012
I created an assembly of parts and then converted my assembly to a weldment. I then realized that I need to create a sketch and make an edit to my assembly. The sketch command is greyed out however. I did some trouble shooting and realized that once I converted it, it no longer allows me to make edits. Is there anyway I can get around this? do I now have to re-create the entire assembly to make this edit at the assembly level? If so this would really suck since it is a rather large assembly. I see saving as a new IAM doesn't work as well.
What I have is a sketch of a hole. The hole has a flattened side to prevent the part from rotating. What I want to be able to do is to put this "part" (an ipt file with just the sketch in it) on any surface of any case, top, left, right, bottom, or even the front or back. So it needs to rotate 90 degrees in x, y or z or combination thereof.
I've been told several things by the local assistants, such as "copy it, place it on the desired plane in the .ipt file, delete the original sketch, then insert it into the assembly", which doesn't work, or use the Component>Rotate command, which gives me infinite degrees of freedom, making it hard to tell when I've rotated 90 degrees in the correct axis.
The sketch will be used in a number of assemblies, including machined aluminum, 3D printing, and laser-cut acrylic.
In essence, I want to place this sketch flat on a surface, then extrude "To" the other side of the surface. I want the flat edge of this sketch (the side that keeps the part that will be inserted in the hole from rotating) constrained to be parallel to one of the edges. I have looked around a lot through the documentation and several other Web sites, and there does not seem to be an answer to this.
The sketch is simple: a circle with a flattened side, so if that sketch needs to be discarded, it is no major "expense" to me in effort. But given my projected series of projects, creating reusable drawings is going to be important. So how should I be thinking of this?
I'm trying to create a PlanarSketch in an assembly with a predefined orientation.As a sketch plane I want to use the YZ-plane of the assembly, as the x-axis the x-WorkAxis.
If I use the code below in a part, everything works fine, but I cant get it to work in an assembly.The AddWithOrientation function will fail and complain about a wrong argument.
Sub Test() Dim oAssyDoc As AssemblyDocument Dim oWorkPlane As WorkPlane Set oAssyDoc = ThisApplication.ActiveDocument Set oWorkPlane = oAssyDoc.ComponentDefinition.WorkPlanes(3) [code]...
I am using Inventor 2014. I have a sketch on a part that does not show up when I put the part into an assembly. Any way to make the sketch show up in the assembly? It is a 3d sketch that is projected to a surface.
In 2012 when in a sketch in an assembly all the stuff under "Format" is grayed out.
You cannot make a dimension driven, nor can you make a line construction or a centerline and you can't change a sketch point into a center point. Do I have some setting wrong?
Someone has generated a frame from an unconstrained skeleton (all green lines). I can edit the 3D sketch by double clicking it but the 3D sketch tab doesn't come up. I can drag a vertex but it gives me the error message "drag geometry composite request cannot be run on document"
There doesn't seem to be any way of dimensioning or constraining or otherwise editing this geometry.I have two of these frames to deal with.
I just want to notice the Autodesk guys that when editing a hole feature in an assembly, then the sketch is hidden so that is not possible to pick more centerpoints. I noticed this when working with a sheet metal part, I don't know if its the same with a regular part.
what im trying to do is select a face in an assembly and create a sketch on it in the part level
this is just one step in the program im trying to make the overall program will create a tube frame and the tubes will be driven from a base solid
Sub test1() Dim asmDoc As AssemblyDocument Set asmDoc = ThisApplication.ActiveDocument Dim asmDef As AssemblyComponentDefinition Set asmDef = asmDoc.ComponentDefinition [code]......
Unfortunately, it's chock full of proprietary customer data, so I can't share the parts or the assembly. But I can pretty well explain what needs to happen, and I've attached a JPG that shows a bit of what I'm doing.
I need to design a bracket to hold an RPM sensor at a certain gap to a spiral bevel gear. I've got a huge assembly model (non-Inventor) from the customer, as well as the model for the sensor. My plan is to start a master IAM, insert the customer assembly, insert the sensor and constrain him, and draw the various hardware I need around the sensor.
So I start by making a work plane that matches the bevel angle and is in a location so the end of my sensor will be flush to that plane. Create a sketch on that plane, then project 2 relevant axes to create the appropriate "origin" from which my location will be based. Place a point on one line, at a certain radial distance and constrain my point.
So now I've got a point and a plane that are where I want my sensing face and my centerline axis to be. What now? I was thinking that I'd create a work axis "normal to plane through a point", but this workflow isn't available in the assembly environment. I can't constrain a solid to a sketch point, so I really don't know what to do at this point in order to put the part where I need it.
I have a sketch on a component. That component is being used in an assembly. The assembly drawing (.idw) does not show the sketch on that component. I have made them visible on the component, but don't want it visible on the assembly model. (only the assembly drawing)
Seen this recently? Using Inventor 2012 SP1 on Windows 7, 64 bit. If we go back into a previously created sketch and edit or add a dimension, upon clicking the green check mark to complete the dimension edit, the sketch exits back to the modelling environment, meaning we have to edit the sketch again to continue with other changes. Obviously no big deal if I'm only editing one dimension, but how often does that happen?
This started happening prior to SP1 being installed. We have this happening on multiple computers (all with the same hardware specs) in our office. I don't believe it to be a hardware or driver issue, but I am wondering if it is a process issue. For example, we use project geometry a lot, even projecting from other parts within an assembly (non-adaptively). We also work on SAT file models, rather than geometry initially created from Inventor itself.
Inventor 2013 Product Design Suite Vault Professional 2013 Windows7 x64 Autodesk Inventor Certified Professional
I have had several sheet metal parts return error messages to edit the sketch coordinate system after the part has been modified. This usually pertains to a dimensioning drawing made to the flat pattern. I have found how to edit the coordinate system, but I don't know what to edit it to. If I select the center point I can drag it from where it sits to an existing corner and select done but that seldom resolves the issue. What is Inventor looking for? I sometimes get a message asking if I want to edit the axis as well but what to do there.
Why can't these sketches orient off the center point that is already in the model? If it would stay put I could dimension to it and be done but it has to twist and turn the model and then put the point on some corner, not usually where I would like it and then I get these errors if I alter the model later.
I've just started working on a frame generator assembly I was modelling earlier this year; I can't seem to modify the base 3D sketch. The feature which looks like the original 3D sketch is now called the "Reference Skeleton" and I am unable to modify it at all.
I am working on a copy of the original part as I "save as" the whole master assembly when I was last working on the model. I don't know if this would have effected anything.
I need converting imperial dimensions into metric in assembly as weell as part level sketches dimensions.
Any solution for converting all imperial dimensions to metric dimensions in whole assembly constraint level and as well as part level sketch dimensions. Any macros or any ilogic rules?
I am trying to edit a sketch in a multi body part file. While I am trying to edit, it displays all other solid bodies which is not required. How to switch them off displaying unnecessary solid bodies while editing a sketch?
If I zoom in on a small detail in a large sketch and then issue the "edit sketch" command Inventor changes the view to where the origin is visible on the screen. Is it possible to disable this?
What I would like to do is create a custom dialogue for each of 3 or 4 standard sketch symbols we use on a regular basis. I'd like to load 'suggsted' values out of an excel spreadsheet and allow the user to pick from them or enter in a custom text string if required. The values would then become part of the sketch symbol.
I've spent some time looking into iLogic rules and I think I've determined that they're not flexible enough to do what I want.
If I'm correct, it is possible (or a good idea) to do this using a VBA macro? I'm a little hesitant to go down the full blown add-in route. While I'm pretty confident I could work it out.
I have written a program where i will copy inventor assembly tree to custom form in tree format. Now my problem is whenever i click a part in tree i must edit the part. I am trying to access the Fx parameter/IAssembly to use it but not getting desired results .
So I have been working on this assembly for quite a while and now Inventor 2013 doesn't let me edit my component on the fly from the assembly space like before. (the Edit button appears dim as shown below)
I am (unfortunately) running the soft on XP and it's running out of memory quite often. I was wondering if it was possible that Inventor blocks the user from using functions that could lead to a potential crash.
Windows 7 Ultimate 64-bit SP1 Intel Core i7-4930MX CPU @ 3.00GHz 32.0GB Dual-Channel DDR3 @1600MHz NVIDIA GeForce GTX 780M 4GB Ram 240GB SSD/500GB HDD Autodesk Product Design Suite Premium 2014
Im working on a plastic enclosure, I needed to make a hole for a connector but this hole would cut into both the top and bottom of the enclosure. Normally when I edit parts in an assembly I just double click them, they become transparent and I can do all my edits. Since I need to make a hole that cuts into both parts, I just went to the 3D Model tab started a new sketch and extruded out the cut.
However doing it this way does not reflect the changes when the parts are opened on their own. Is there a way to have these changes trickle down to the part files?